iscsi_session_iface_get(3)

NAME
iscsi_session_iface_get - Retrieve iSCSI interface information of specified session

SYNOPSIS
struct iscsi_iface * iscsi_session_iface_get (struct iscsi_session *se);

ARGUMENTS

se  Pointer of 'struct iscsi_session'. If this pointer is NULL, your program will be terminated by assert.

DESCRIPTION

Retrieve the iSCSI interface information of specified iSCSI session. For the properties of 'struct iscsi_iface', please refer to the functions defined in 'libopeniscsiusr_iface.h' file.

RETURN
Pointer of 'struct iscsi_iface'. NULL if not supported. No need to free this memory, the resources will get freed by iscsi_session_free or iscsi_sessions_free.